<?php
/**
 * Name: Upgrade Info JP
 * Description: Show upgrade info at the top of left-aside until dismissed
 * Version: 1.0
 * Depends: harukin
 * Author: harukin mod from Mario Vavti <mario@mariovavti.com>
 */

use Zotlabs\Extend\Hook;

function upgrade_info_load(){
	Hook::register('construct_page', 'addon/upgrade_infojp/upgrade_infojp.php', 'upgrade_info_construct_page');
}

function upgrade_info_unload(){
	Hook::unregister('construct_page', 'addon/upgrade_infojp/upgrade_infojp.php', 'upgrade_info_construct_page');
}

function upgrade_info_construct_page(&$b){

	$upgrade_version = get_config('upgrade_info', 'version');

	if(version_compare(STD_VERSION, $upgrade_version) == 1) {
		set_config('upgrade_info', 'datetime', datetime_convert());
		set_config('upgrade_info', 'version', STD_VERSION);
	}

	if(! local_channel())
		return;

	$upgrade_datetime = get_config('upgrade_info', 'datetime');

	$account = App::get_account();
	if($account['account_created'] > $upgrade_datetime)
		return;

	$version = get_pconfig(local_channel(), 'upgrade_info', 'version');

	if(version_compare(STD_VERSION, $version) < 1)
		return; 

	$content[] = t('Harukin+がアップデートされました！');
	$content[] = t('変更点は運営公式フォーラムを確認してください！');
	$content[] = '<a href="channel/admin_plusharukin">' . t('運営のフォーラムページ') . '</a>';

	$tpl = get_markup_template('upgrade_infojp.tpl', 'addon/upgrade_infojp');

	$o = replace_macros($tpl, [
		'$title' => t('運営からのお知らせ！'),
		'$content' => $content,
		'$std_version' => STD_VERSION,
		'$form_security_token' => get_form_security_token('pconfig'),
		'$dismiss' => t('閉じる')
	]);

	$b['layout']['region_aside'] = $o . $b['layout']['region_aside'];

}



